# Role: cups

## Description

Install and configure CUPS for printing.

https://www.cups.org/

## Usage

Using in a playbook:

```yaml
- name: Play
  gather_facts: true
  gather_subset:
    - distribution
  hosts:
    - all
  roles:
    - samuliy.ansible.cups
  vars:
    ...
```

### Vars

`cups_system_groups`:

Groups to use for CUPS.

`cups_access_log`:

Where to log access.

`cups_error_log`:

Where to log errors.

`cups_page_log`:

Where to log pages.

`cups_listen_addresses`:

Addresses to listen on.

`cups_allow_addresses`:

Addresses to allow access for.

`cups_log_level`:

Logging level.

`cups_access_log_level`:

Access logging level.

`cups_server_aliases`:

CUPS server name aliases.
